> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ezytail.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the tracking package by id and carrier

> Returns the shipping status and history of the package by id and carrier



## OpenAPI

````yaml get /shippings/tracking/{context}/{carrier}/{id}
openapi: 3.0.4
info:
  title: EzyConnect API
  description: API to Ezytail Logistics Platform
  contact:
    name: Ezytail
    url: https://ezytail.com
    email: contact@ezytail.com
  version: v1
servers: []
security:
  - Bearer: []
paths:
  /shippings/tracking/{context}/{carrier}/{id}:
    get:
      tags:
        - Shipping
      summary: Get the tracking package by id and carrier
      description: Returns the shipping status and history of the package by id and carrier
      operationId: GetTrackingPackage
      parameters:
        - name: context
          in: path
          required: true
          schema:
            type: string
        - name: carrier
          in: path
          required: true
          schema:
            type: string
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: prod
          in: query
          schema:
            type: boolean
            default: true
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/TrackingPackageResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/TrackingPackageResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/TrackingPackageResponse'
        '401':
          description: Unauthorized
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '500':
          description: Internal Server Error
        default:
          description: Error
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    TrackingPackageResponse:
      type: object
      properties:
        status:
          type: string
          nullable: true
        wording1:
          type: string
          nullable: true
        wording2:
          type: string
          nullable: true
        relayWording:
          type: string
          nullable: true
        relayNumber:
          type: string
          nullable: true
        steps:
          type: array
          items:
            $ref: '#/components/schemas/TrackingStep'
          nullable: true
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    TrackingStep:
      type: object
      properties:
        wording:
          type: string
          nullable: true
        date:
          type: string
          nullable: true
        hour:
          type: string
          nullable: true
        location:
          type: string
          nullable: true
        relayId:
          type: string
          nullable: true
        relayCountry:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: oauth2
      description: |-
        JWT Authorization header using the Bearer scheme. \r\n\r\n 
                          Enter 'Bearer' [space] and then your token in the text input below.
                          \r\n\r\nExample: 'Bearer 12345abcdef'
      flows:
        authorizationCode:
          authorizationUrl: https://auth.ezytail.com/connect/authorize
          tokenUrl: https://auth.ezytail.com/connect/token
          scopes:
            ezy_connect: EzyConnect API Scope

````